/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLMapElement_H___INT_
#define __GdomHTMLMapElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLMapElement.h"
G_BEGIN_DECLS
class GDOMHTMLMapElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_MAP_ELEMENT; }
    GDOMHTMLMapElement(PassRefPtr<WebCore::HTMLMapElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLMapElement_H___INT_*/
